## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global appid com.github.johnfactotum.Foliate
%global libadwaita_version 1.4
%global webkitgtk_version 2.40.1

# Git submodules
#   * foliate-js
%global commit1 cc2882ff396d27ca4133af2e8f2978f19c21846e
%global shortcommit1 %(c=%{commit1}; echo ${c:0:7})

Name:           foliate
Version:        3.2.1
Release:        %autorelease
Summary:        Simple and modern GTK eBook reader

License:        GPL-3.0-or-later
URL:            https://johnfactotum.github.io/foliate/
Source0:        https://github.com/johnfactotum/foliate/archive/%{version}/%{name}-%{version}.tar.gz
Source1:        https://github.com/johnfactotum/foliate-js/archive/%{commit1}/%{name}-js-%{shortcommit1}.tar.gz

BuildArch:      noarch

BuildRequires:  desktop-file-utils
BuildRequires:  intltool
BuildRequires:  libappstream-glib
BuildRequires:  meson >= 0.59
BuildRequires:  pkgconfig(gjs-1.0) >= 1.76
BuildRequires:  pkgconfig(gtk4) >= 4.12
BuildRequires:  pkgconfig(iso-codes) >= 3.67
BuildRequires:  pkgconfig(libadwaita-1) >= %{libadwaita_version}
BuildRequires:  pkgconfig(webkitgtk-6.0) >= %{webkitgtk_version}

Requires:       gjs >= 1.76
Requires:       hicolor-icon-theme
Requires:       libadwaita >= %{libadwaita_version}
Requires:       webkitgtk6.0 >= %{webkitgtk_version}

# For text-to-speech (TTS) support
Recommends:     espeak-ng

# Support for viewing .mobi, .azw, and .azw3 files
Recommends:     python3 >= 3.4

# Alternative text-to-speech (TTS) engines
Suggests:       espeak
Suggests:       festival

Provides:       bundled(%{name}-js) = 0~git%{shortcommit1}

%description
A simple and modern GTK eBook viewer, built with GJS and Epub.js.


%prep
%autosetup -p1
%autosetup -p1 -a1
mv %{name}-js-%{commit1}/* src/%{name}-js


%build
%meson
%meson_build


%install
%meson_install
%find_lang %{appid}


%check
appstream-util validate-relax --nonet %{buildroot}%{_metainfodir}/*.xml
# https://github.com/johnfactotum/foliate/issues/1111
%dnl desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop


%files -f %{appid}.lang
%license COPYING
%doc README.md
%{_bindir}/%{name}
%{_datadir}/%{appid}/
%{_datadir}/applications/*.desktop
%{_datadir}/glib-2.0/schemas/*.gschema.xml
%{_datadir}/icons/hicolor/*/apps/*.svg
%{_metainfodir}/*.xml


%changelog
## START: Generated by rpmautospec
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Dec 23 2024 Packit <hello@packit.dev> - 3.2.1-1
- Update to 3.2.1 upstream release
- Resolves: rhbz#2329291

* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Thu Apr 04 2024 Packit <hello@packit.dev> - 3.1.1-1
- Update to 3.1.1 upstream release
- Resolves: rhbz#2273300

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 3.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 07 2024 Packit <hello@packit.dev> - 3.1.0-1
- [packit] 3.1.0 upstream release
- Resolves rhbz#2256982

* Mon Nov 20 2023 Packit <hello@packit.dev> - 3.0.1-1
- [packit] 3.0.1 upstream release
- Resolves rhbz#2250637

* Mon Nov 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.0-2
- build: Add Packit config

* Mon Nov 13 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 3.0.0-1
- build: Update to 3.0.0

* Fri Nov 03 2023 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.4-10
- license: Convert to SPDX

* Tue Aug 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.6.4-9
- Fix flatpak build

* Tue Aug 22 2023 Yaakov Selkowitz <yselkowi@redhat.com> - 2.6.4-8
- Use webkit2gtk-4.1

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jan 13 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.4-1
- chore(update): 2.6.4
- build(add BR): iso-codes

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Apr 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.3-1
- build(update): 2.6.3

* Fri Mar 26 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.2-1
- build(update): 2.6.2

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.1-1
- build(update): 2.6.1

* Wed Mar 24 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.6.0-1
- build(update): 2.6.0

* Mon Feb 01 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.0-3
- build: Add 'webkit2gtk3' dep | rh#1923207

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 2.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Oct 15 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.5.0-1
- build(update): 2.5.0

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 2.4.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Mon Jul 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.2-1
- Update to 2.4.2

* Mon Jul 06 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.1-1
- Update to 2.4.1

* Thu Jul 02 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.4.0-1
- Update to 2.4.0

* Thu Jun 18 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.3.0-1
- Update to 2.3.0

* Mon Jun 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.1-1
- Update to 2.2.1

* Fri May 29 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.2.0-1
- Update to 2.2.0

* Thu Apr 09 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.1-1
- Update to 2.1.1

* Wed Apr 08 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.1.0-1
- Update to 2.1.0

* Sun Apr 05 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 2.0.0-1
- Update to 2.0.0

* Mon Mar 30 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.3-3
- Add dep: gjs | RHBZ#1818634

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Sep 04 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.3-1
- Update to 1.5.3

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Fri Jul 19 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.2-1
- Update to 1.5.2

* Sun Jul 14 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.5.0-2
- Update to 1.5.0

* Sat Jul 13 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-3
- Patch: Use book language for Wikipedia

* Thu Jul 11 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.4.0-2
- Update to 1.4.0

* Sat Jun 29 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.1-1
- Update to 1.3.1

* Tue Jun 18 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.3.0-1
- Update to 1.3.0

* Thu Jun 06 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.2.0-1
- Update to 1.2.0

* Sun Jun 02 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.1.0-1
- Update to 1.1.0

* Sat Jun 01 2019 Artem Polishchuk <ego.cordatus@gmail.com> - 1.0.1-1
- Initial package

## END: Generated by rpmautospec
